Skip to main content
PATCH
/
transactions
/
{tx_id}
/
decline
Decline Transaction
curl --request PATCH \
  --url https://api.{your-broker}.slate-labs.com/transactions/{tx_id}/decline \
  --header 'Content-Type: application/json' \
  --data '
{
  "comment": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source": "<string>",
  "cashier_id": "<string>",
  "order_id": "<string>",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "manager_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transaction_owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "gate_id": "<string>",
  "gate_name": "<string>",
  "payment_data": {},
  "amount": "<string>",
  "currency": "<string>",
  "account_amount": "<string>",
  "usd_amount": "<string>",
  "exchange_rate_usd": "<string>",
  "proof_reference": "<string>",
  "proof_url": "<string>",
  "type": "<string>",
  "status": "<string>",
  "customer_view": true,
  "comment": "<string>",
  "create_time": "2023-11-07T05:31:56Z",
  "update_time": "2023-11-07T05:31:56Z",
  "approve_time": "2023-11-07T05:31:56Z",
  "decline_time": "2023-11-07T05:31:56Z",
  "account_currency": "<string>",
  "fx_rate_applied": "<string>",
  "related_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_login": "<string>",
  "manager_name": "<string>",
  "approved_by_name": "<string>",
  "transaction_owner_name": "<string>",
  "chargeback_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Path Parameters

tx_id
string<uuid>
required

Body

application/json

Operator manually approves a pending manual transaction.

comment
string | null

Response

Successful Response

id
string<uuid>
required
source
string
required
cashier_id
string | null
required
order_id
string | null
required
customer_id
string<uuid>
required
account_id
string<uuid>
required
manager_id
string<uuid> | null
required
approved_by
string<uuid> | null
required
transaction_owner
string<uuid> | null
required
team_id
string<uuid> | null
required
gate_id
string | null
required
gate_name
string | null
required
payment_data
Payment Data · object
required
amount
string
required
currency
string
required
account_amount
string
required
usd_amount
string
required
exchange_rate_usd
string
required
proof_reference
string | null
required
proof_url
string | null
required
type
string
required
status
string
required
customer_view
boolean
required
comment
string | null
required
create_time
string<date-time>
required
update_time
string<date-time>
required
approve_time
string<date-time> | null
required
decline_time
string<date-time> | null
required
account_currency
string | null
fx_rate_applied
string | null
account_login
string | null
manager_name
string | null
approved_by_name
string | null
transaction_owner_name
string | null
chargeback_of
string<uuid> | null